ru.bitel.bgbilling.plugins.helpdesk.server.bean

## Class PackageContract

- java.lang.Object
- - ru.bitel.bgbilling.plugins.helpdesk.server.bean.PackageContract

-     public class PackageContract
      extends java.lang.Object

  Модель класса "активированный пакет обращений в систему Helpdesk"
  Author:
    Kirill Sergeev

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PackageContract()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getChargeId()` Возвращает id записи о расходе сделанного для активации этого пакета
    `int` | `getContractId()`
    `int` | `getCount()`
    `int` | `getCountUse()`
    `java.util.Date` | `getDateFrom()` Возращает дату начала активного периода пакета
    `java.util.Date` | `getDateTo()`
    `int` | `getId()` Возращает id пакета
    `int` | `getPackageId()` Возращает код пакета
    `java.math.BigDecimal` | `getSumma()`
    `java.lang.String` | `getTitle()`
    `int` | `getUserId()`
    `boolean` | `isActivePackage(java.util.Date onDate)`
    `void` | `setChargeId(int chargeId)` Устанавливает id записи о расходе сделанного для активации этого пакета
    `void` | `setContractId(int contractId)`
    `void` | `setCount(int count)`
    `void` | `setCountUse(int countUse)`
    `void` | `setDateFrom(java.util.Date dateFrom)` Устанавливает дату начала активного периода пакета
    `void` | `setDateTo(java.util.Date dateTo)`
    `void` | `setId(int id)` Устанавливает id пакета
    `void` | `setPackageId(int packageId)` Устанавливает код пакета
    `void` | `setSumma(java.math.BigDecimal summa)`
    `void` | `setTitle(java.lang.String title)`
    `void` | `setUserId(int userId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PackageContract

          public PackageContract()

  - ### Method Detail

    - #### getChargeId

          public int getChargeId()

      Возвращает id записи о расходе сделанного для активации этого пакета
      Returns:
        id записи о расходе

    - #### setChargeId

          public void setChargeId(int chargeId)

      Устанавливает id записи о расходе сделанного для активации этого пакета
      Parameters:
        `chargeId` -

    - #### getId

          public int getId()

      Возращает id пакета
      Returns:
        уникальный код пакета в системе

    - #### setId

          public void setId(int id)

      Устанавливает id пакета
      Parameters:
        `id` - - уникальный код пакета в системе

    - #### getPackageId

          public int getPackageId()

      Возращает код пакета
      Returns:
        код пакета по которому создан этот экземпляр пакета

    - #### setPackageId

          public void setPackageId(int packageId)

      Устанавливает код пакета
      Parameters:
        `packageId` - - код пакета по которому создан этот экземпляр пакета

    - #### getDateFrom

          public java.util.Date getDateFrom()

      Возращает дату начала активного периода пакета
      Returns:
        дата активации пакета

    - #### setDateFrom

          public void setDateFrom(java.util.Date dateFrom)

      Устанавливает дату начала активного периода пакета
      Parameters:
        `dateFrom` - - дата активации пакета

    - #### getDateTo

          public java.util.Date getDateTo()

    - #### setDateTo

          public void setDateTo(java.util.Date dateTo)

    - #### getSumma

          public java.math.BigDecimal getSumma()

    - #### setSumma

          public void setSumma(java.math.BigDecimal summa)

    - #### getCount

          public int getCount()

    - #### setCount

          public void setCount(int count)

    - #### getCountUse

          public int getCountUse()

    - #### setCountUse

          public void setCountUse(int countUse)

    - #### getUserId

          public int getUserId()

    - #### setUserId

          public void setUserId(int userId)

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int contractId)

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle(java.lang.String title)

    - #### isActivePackage

          public boolean isActivePackage(java.util.Date onDate)